> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/zec/cidr-block/deletecidrs.md).

# DeleteCidrs

## 1. API Description

This API (DeleteCidrs) is used to delete one or more CIDR blocks.

{% hint style="info" %}
**Notes**

* If EIPs have been allocated under the CIDR block, the CIDR block cannot be deleted.
* After a regular account deletes a CIDR block, the resource is recycled directly. The operation is irreversible.
* Each item is processed independently, so a partial failure does not affect the remaining ones. The failed items are returned through the `failedCidrIds` in the response.
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type            | Description                                                                                                                                               |
| -------------- | -------- | --------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------- |
| cidrIds        | Yes      | Array of String | <p>List of the cidrIds to be deleted.</p><p>It can be obtained by calling <a href="/api-reference/zec/cidr-block/describecidrs.md">DescribeCidrs</a>.</p> |

## 3. Output Parameters

| Parameter Name | Type            | Description                                                                                                           |
| -------------- | --------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String          | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| failedCidrIds  | Array of String | List of CIDR IDs failed to be deleted.                                                                                |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Delete CIDR blocks in batch.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DeleteCidrs
<Common Request Params>

Request：
{
  "cidrIds": [
    "cidrId1",
    "cidrId2"
  ]
}

Response：
{
  "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F",
  "response": {
    "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F",
    "failedCidrIds": []
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |
